******************************************
*          FONE BOOK - FBPRTLBL          *
*                                        *
*  This program was  written and placed  *
*   in the public domain by Don Mankin   *
*  MICRO-BASE  (916-971-1395)  300/1200  *
*   Copyright (c) 1983 Donald L Mankin   *
*    Please do not remove this notice    *
*                                        *
******************************************
erase
?'Want an Alignment Label?'
?
accept to q
do while !(q)='Y'
erase
set print on
? 'First, Last'
? 'Address..........'
? 'City, State.  Zip'
?
?
?
set print off
erase
?'Want an alignment label?'
?
accept to q
enddo
do while T
release q,search
store 'continue'to next
goto top
erase
?'*** PRINT LABELS ***'
?
?'Select by:'
?
?'<F>irst name'
?'<L>ast name'
?'<A>ddress'
?'<C>ity'
?'<S>tate'
?'<Z>ip'
?'<P>hone'
?'<1>',var1
?'<2>',var2
?'<3>',var3
?'<4>',var4
?'<5>',var5
?'<*> all records'
?'<Q>uit program'
?
?'Select your option'
?
accept to q
store !(q) to q
do case
case q='Q'
     release q,search,next
     return
case q='F'
     ERASE
     ?'Enter First Name'
     ?
     accept to search
     ERASE
     ?'*** PRINT SELECTIVE FIRST ***'
     locate for FIRST=Search
case q='L'
     erase
     ?'Enter Last Name'
     ?
     accept to search
     erase
     ?'*** PRINT SELECTIVE LAST ***'
     locate for last=search
case q='A'
     erase
     ?'Enter Address'
     ?
     accept to search
     ERASE
     ?'*** PRINT SELECTIVE ADDRESS ***'
     ?
     locate for address=search
case q='C'
     erase
     ?'Enter City'
     ?
     accept to search
     ERASE
     ?'*** PRINT SELECTIVE CITY ***'
     ?
     locate for city=search
case q='S'
     erase
     ?'Enter State'
     ?
     accept to search
     ERASE
     ?'*** PRINT SELECTIVE STATE ***'
     ?
     locate for state=search
case q='Z'
     erase
     ?'Enter Zip'
     ?
     accept to search
     ERASE
     ?'*** PRINT SELECTIVE ZIP ***'
     ?
     locate for zip=search
case q='P'
     erase
     ?'Enter Phone'
     ?
     accept to search
     ERASE
     ?'*** PRINT SELECTIVE PHONE ***'
     ?
     locate for phone=search
case q='1'
     erase
     ? var1
     ?
     ?'Enter 1 Character for Search'
     ?
     accept to search
     erase
     ?'*** PRINT BY',var1,'***'
     locate for code1=search
case q='2'
    erase
     ? var2
     ?
     ?'Enter 1 Character For Search'
     ?
     accept to search
     erase
     ?'*** PRINT BY',var2,'***'
     locate for code2=search
case q='3'
     erase
     ? var3
     ?
     ?'Enter 1 Character for Search'
     ?
     accept to search
     erase
     ?'*** PRINT BY',var3,'***'
     locate for code3=search
case q='4'
     erase
     ? var4
     ?
     ?'Enter 1 Character for Search'
     ?
     accept to search
     erase
     ?'*** PRINT BY',var4,'***'
     locate for code4=search
case q='5'
     erase
     ? var5
     ?
     ?'Enter 1 Character for Search'
     ?
     accept to search
     erase
     ?'*** PRINT BY',var5,'***'
     locate for code5=search
case q='*'
     store 'skip'to next
     erase
     ?'*** PRINT ALL RECORDS ***'
     ?
     goto top
otherwise
     &beep
     ?'** Invalid Entry **'
     store 1 to xx
     do while xx<35
         store xx+1 to xx
     enddo while xx<35
     enddo while t
endcase
?
?
?
do while.not.eof
set print on
? trim(first),last
? address
? trim(city)-',',state-'.',zip
?
?
?
&next
enddo while.not.eof
set print off
enddo while t

m(first),last
? address
? trim(city)-',',state-'.',zip
